- Main Page
- Classes
- Files
- Related Pages

- File List
- File Members

# vstcontrols.h File Reference

`#include "vstgui.h"`

## Classes
class | CControlListener
class | CControl
| base class of all VSTGUI controls More...
class | COnOffButton
| a button control with 2 states More...
class | CParamDisplay
| a parameter display control More...
class | CTextLabel
| a text label More...
class | CTextEdit
| a text edit control More...
class | COptionMenuScheme
class | COptionMenu
| a popup menu control More...
class | CKnob
| a knob control More...
class | CAnimKnob
| a bitmap knob control More...
class | CVerticalSwitch
| a vertical switch control More...
class | CHorizontalSwitch
| a horizontal switch control More...
class | CRockerSwitch
| a switch control with 3 sub bitmaps More...
class | CMovieBitmap
| a bitmap control that displays different bitmaps according to its current value More...
class | CMovieButton
| a bi-states button with 2 subbitmaps More...
class | CAutoAnimation
class | CSlider
| a slider control More...
class | CVerticalSlider
| a vertical slider control More...
class | CHorizontalSlider
| a horizontal slider control More...
class | CSpecialDigit
| special display with custom numbers (0...9) More...
class | CKickButton
class | CSplashScreen
class | CVuMeter
## Defines
#define | kPI 3.14159265358979323846
#define | k2PI 6.28318530717958647692
#define | kPI_2 1.57079632679489661923f
#define | kPI_4 0.78539816339744830962
#define | kE 2.7182818284590452354
#define | kLN2 0.69314718055994530942
#define | kSQRT2 1.41421356237309504880
#define | kMenuTitle "-T"
#define | kMenuSeparator "-"
#define | kMenuDisable "-G"
#define | kMenuSubMenu "-M"
## Enumerations
enum | CControlEnum { kHorizontal = 1 << 0, kVertical = 1 << 1, kShadowText = 1 << 2, kLeft = 1 << 3, kRight = 1 << 4, kTop = 1 << 5, kBottom = 1 << 6, k3DIn = 1 << 7, k3DOut = 1 << 8, kPopupStyle = 1 << 9, kCheckStyle = 1 << 10, kMultipleCheckStyle, kNoTextStyle = 1 << 11, kNoDrawStyle = 1 << 12, kDoubleClickStyle = 1 << 13, kNoFrame = 1 << 14 }
## Variables
COptionMenuScheme * | gOptionMenuScheme

## Define Documentation

#define k2PI 6.28318530717958647692

#define kE 2.7182818284590452354

#define kLN2 0.69314718055994530942

#define kMenuDisable "-G"

#define kMenuSeparator "-"

#define kMenuSubMenu "-M"

#define kMenuTitle "-T"

#define kPI 3.14159265358979323846

#define kPI_2 1.57079632679489661923f

#define kPI_4 0.78539816339744830962

#define kSQRT2 1.41421356237309504880

## Enumeration Type Documentation

enum CControlEnum

  | Enumerator:
  kHorizontal |
  kVertical |
  kShadowText |
  kLeft |
  kRight |
  kTop |
  kBottom |
  k3DIn |
  k3DOut |
  kPopupStyle |
  kCheckStyle |
  kMultipleCheckStyle |
  kNoTextStyle |
  kNoDrawStyle |
  kDoubleClickStyle |
  kNoFrame |

## Variable Documentation

COptionMenuScheme* gOptionMenuScheme

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.